Subject: Re: [PATCH v3] rev-parse --parseopt: option argument name hints

From: Ilya Bobyr <[email-masked]>
Date: Thu, 20 Mar 2014 20:38:20 -0700

On 3/20/2014 1:18 PM, Eric Sunshine wrote:
> On Thu, Mar 20, 2014 at 4:44 AM, Ilya Bobyr <[email-masked]> wrote:
>> Built-in commands can specify names for option arguments when usage text
>> is generated for a command.  sh based commands should be able to do the
>> same.
>>
>> Option argument name hint is any text that comes after [*=?!] after the
>> argument name up to the first whitespace.  Underscores are replaced with
>> whitespace.  It is unlikely that an underscore would be useful in the
>> hint text.
>>
>> Signed-off-by: Ilya Bobyr <[email-masked]>
>> ---
>>   Changed according to the last comments.  Added "Usage text" paragraph in the
>>   documentation and updated variable names.
> As this is a high-traffic list, it can be difficult for reviewers to
> remember all the comments regarding the previous version. It can help
> a lot if you include a reference to the previous attempt, like this
> [1].

Got it, thanks :)

>> [...]
>>
>> +`<arg_hint>`::
>> +       `<arg_hing>`, if specified, is used as a name of the argument in the
> arg_hing?

Will fix it in the next patch.